# pandas.IntervalDtype

class `pandas.``IntervalDtype`

  An ExtensionDtype for Interval data.

  This is not an actual numpy dtype, but a duck type.

  Parameters:

  subtype : str, np.dtype

  > The dtype of the Interval bounds.

  Examples

      >>> pd.IntervalDtype(subtype='int64')
      interval[int64]

  Attributes

  `subtype` | The dtype of the Interval bounds.

  Methods

  None |

Scroll To Top